Prereq: 1.1

===================================================================
RCS file: RCS/gnus-art.el,v
retrieving revision 1.1
diff -u -bw -r1.1 gnus-art.el
--- 1.1	1998/02/09 11:39:48
+++ gnus-art.el	1998/02/09 11:56:00
@@ -247,8 +247,12 @@
 
 (defcustom gnus-article-time-format "%a, %b %d %Y %T %Z"
   "Format for display of Date headers in article bodies.
-See `format-time-string' for the possible values."
-  :type 'string
+See `format-time-string' for the possible values.
+
+The avalue can also be function symbol, which should return a complete
+'Date: ' header. Function is called with one argument, `date' which can
+be feed to `format-time-string'."
+  :type '(choice string symbol)
   :link '(custom-manual "(gnus)Article Date")
   :group 'gnus-article-washing)
 
@@ -1336,6 +1340,13 @@
     (concat "Date: " date))
    ;; Let the user define the format.
    ((eq type 'user)
+    (if (symbolp gnus-article-time-format)
+	(funcall
+	 gnus-article-time-format
+	 (ignore-errors
+	   (gnus-encode-date
+	    (timezone-make-date-arpa-standard
+	     date nil "UT"))))
     (concat
      "Date: "
      (format-time-string gnus-article-time-format
@@ -1342,7 +1353,7 @@
 			 (ignore-errors
 			   (gnus-encode-date
 			    (timezone-make-date-arpa-standard
-			     date nil "UT"))))))
+			       date nil "UT")))))))
    ;; Do an X-Sent lapsed format.
    ((eq type 'lapsed)
     ;; If the date is seriously mangled, the timezone functions are
